<div class="form-field form-field--large">
  <label for="password" class="form-field__label">New Password</label>
  <input
    type="{{ showConfirm.value ? 'password' : 'text' }}"
    [ngrxFormControlState]="newPassword"
    class="form-field__input form-field__input--one-action"
    [class.form-field__input--invalid]="errors._newPassword && isSubmitted"
    name="password"
    autocomplete="off"
  />
  <div class="form-field__actions">
    <button
      type="button"
      tabindex="-1"
      (click)="toggleConfirm.emit()"
      class="form-field__action"
    >
      <div
        class="button__icon button__icon--no-text"
        [inlineSVG]="
          showConfirm.value
            ? '../assets/svg/eye.svg'
            : '../assets/svg/eye-slash.svg'
        "
      ></div>
    </button>
  </div>
</div>

<ul *ngIf="errors._newPassword && isSubmitted" class="form-field__error-list">
  <li *ngIf="errors._newPassword.required" class="form-field__error">
    You must have a password!
  </li>
  <li *ngIf="errors._newPassword.minLength" class="form-field__error">
    Password must be at least
    {{ errors._newPassword.minLength.minLength }} characters long.
  </li>
  <li *ngIf="errors._newPassword.hasUniqueChars" class="form-field__error">
    Password must have more than 5 unique characters.
  </li>
  <li *ngIf="errors._newPassword.notNumeric" class="form-field__error">
    Password must not be only numbers.
  </li>
  <li *ngIf="errors._newPassword.notEqualTo" class="form-field__error">
    New password is the same as the old password.
  </li>
</ul>
<div class="register-step__feedback u-margin-b-20">
  <p>
    Make a <strong>long</strong> password. We require at least
    10&nbsp;characters.
  </p>
  <p>
    A good password is also <strong>unique, memorable,</strong> and
    <strong>impersonal.</strong>&nbsp;<app-text-link
      caret="right"
      isExternal="true"
      link="https://passit.io/blog/picking-a-good-password/"
      target="_blank"
      id="btn-signin"
      >Learn&nbsp;more</app-text-link
    >
  </p>
</div>
<div class="form-field form-field--large" *ngIf="showConfirm.value">
  <label for="password" class="form-field__label">Confirm Password</label>
  <input
    type="password"
    [ngrxFormControlState]="newPasswordConfirm"
    class="form-field__input"
    [class.form-field__input--invalid]="
      errors._newPasswordConfirm && isSubmitted
    "
    name="passwordConfirm"
  />
</div>

<ul
  *ngIf="errors._newPasswordConfirm && isSubmitted"
  class="form-field__error-list"
>
  <li
    *ngIf="errors._newPasswordConfirm.required && showConfirm.value"
    class="form-field__error"
  >
    Confirm your password by entering it again here, or click the eye icon to
    visually inspect your new password.
  </li>
  <li
    *ngIf="errors._newPasswordConfirm.equalTo && showConfirm.value"
    class="form-field__error"
  >
    Passwords don't match.
  </li>
</ul>
